package verifyMgr

import (
	"fmt"
	"testing"

	"Framework/managecenterMgr"
)

func init() {
	manageCenterDataSwitchObj := &managecenterMgr.ManageCenterDataSwitch{
		AllDataSwitch: true,
	}
	managecenterMgr.Start("https://managecentertest-fzxh.public.com", manageCenterDataSwitchObj)
}

func TestVerify(t *testing.T) {
	if errList := Verify(); len(errList) > 0 {
		t.Errorf("there should be no error, but now has")
		for _, err := range errList {
			fmt.Println(err)
		}
	}

	Init("http://www.baidu.com", Con_Get)
	if errList := Verify(); len(errList) > 0 {
		t.Errorf("there should be no error, but now has")
		for _, err := range errList {
			fmt.Println(err)
		}
	}
}
